Bug 13537 - Focus should move to barcode after renewing via checkouts table
Summary: Focus should move to barcode after renewing via checkouts table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13258
  Show dependency treegraph
 
Reported: 2015-01-08 11:59 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13537 - Focus should move to barcode after renewing via checkouts table (1.57 KB, patch)
2015-01-08 12:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13537 - Focus should move to barcode after renewing via checkouts table (1.60 KB, patch)
2015-01-13 01:07 UTC, Thomas Wright
Details | Diff | Splinter Review
[PASSED QA] Bug 13537 - Focus should move to barcode after renewing via checkouts table (1.66 KB, patch)
2015-01-13 07:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-01-08 11:59:16 UTC
Koha's checkout screen automatically focuses on the barcode field each time it is loaded. Since we've moved the checkouts table functions for renewing and returning items to ajax methods, this page is no longer refreshed, and thus does not refocus to the barcode after performing those actions. This should be fixed so that renewing/returning items via the checkouts page moves the focus to the barcode field.
Comment 1 Kyle M Hall 2015-01-08 12:02:05 UTC Comment hidden (obsolete)
Comment 2 Thomas Wright 2015-01-13 01:07:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-01-13 07:01:52 UTC
Created attachment 35138 [details] [review]
[PASSED QA] Bug 13537 - Focus should move to barcode after renewing via checkouts table

Koha's checkout screen automatically focuses on the barcode field each
time it is loaded. Since we've moved the checkouts table functions for
renewing and returning items to ajax methods, this page is no longer
refreshed, and thus does not refocus to the barcode after performing
those actions. This should be fixed so that renewing/returning items via
the checkouts page moves the focus to the barcode field.

Test Plan:
1) Find a patron with checkouts.
2) Renew or return a checkout, note the focus does not move to the
   barcode.
3) Apply this patch.
4) Renew or return a checkout, note the focus *does* move to the
   barcode.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Thomas <tomsStudy@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-01-15 00:40:26 UTC
Patch pushed to master.

Thanks Kyle!
Comment 5 Chris Cormack 2015-01-18 02:31:17 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 6 Mason James 2015-01-22 05:45:44 UTC
Pushed to 3.16.x, patch will be in 3.16.7